OGRE: Ogre::LodConfig::Advanced Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodConfig::Advanced Struct Reference

`#include <OgreLodConfig.h>`

## Public Member Functions
| Advanced ()

## Public Attributes
Ogre::Real | outsideWalkAngle
| If outsideWeight is enabled, this will set the angle how deep the algorithm can walk inside the mesh.
Ogre::Real | outsideWeight
| Faces inside a house can't be seen from far away.
bool | preventBreakingLines
| When an edge is collapsed, lines may be destroyed if they cannot be adjusted to the new vertex.
bool | preventPunchingHoles
| When an edge is collapsed, triangles may be destroyed if they cannot be adjusted to the new vertex.
LodProfile | profile
| If the algorithm makes errors, you can fix it, by adding the edge to the profile.
bool | useBackgroundQueue
| Whether you want to process it immediatelly on main thread or you want to use Ogre::WorkQueue.
bool | useCompression
| If enabled, it allows up to 50% smaller index buffers by storing once shared faces with frame shifting.
bool | useVertexNormals
| Use vertex normals to improve quality.

## Constructor & Destructor Documentation

## ◆ Advanced()

Ogre::LodConfig::Advanced::Advanced | ( |  | ) |

## Member Data Documentation

## ◆ useBackgroundQueue

bool Ogre::LodConfig::Advanced::useBackgroundQueue

Whether you want to process it immediatelly on main thread or you want to use Ogre::WorkQueue.

If you use workqueue the generator will return immediately. After processed in background, the LodWorkQueueInjector will inject it in frameEnd event when rendering next frame. Ready LODs can also be injected by calling Root::getSingleton().getWorkQueue()->processMainThreadTasks(). (disabled by default)

## ◆ useCompression

bool Ogre::LodConfig::Advanced::useCompression

If enabled, it allows up to 50% smaller index buffers by storing once shared faces with frame shifting.

There is no performance disadvantage! (enabled by default)

## ◆ useVertexNormals

bool Ogre::LodConfig::Advanced::useVertexNormals

Use vertex normals to improve quality.

Bit slower to generate, but it has better quality most of the time. (enabled by default)

## ◆ preventPunchingHoles

bool Ogre::LodConfig::Advanced::preventPunchingHoles

When an edge is collapsed, triangles may be destroyed if they cannot be adjusted to the new vertex.

Set this option to true to prevent collapsing edges that will result in destruction of triangles.

## ◆ preventBreakingLines

bool Ogre::LodConfig::Advanced::preventBreakingLines

When an edge is collapsed, lines may be destroyed if they cannot be adjusted to the new vertex.

Set this option to true to prevent collapsing edges that will result in destruction of lines.

## ◆ outsideWeight

Ogre::Real Ogre::LodConfig::Advanced::outsideWeight

Faces inside a house can't be seen from far away.

Weightening outside allows to remove those internal faces. It makes generation smaller and it is not 100% accurate. Set it to 0.0 to disable. (disabled by default)

## ◆ outsideWalkAngle

Ogre::Real Ogre::LodConfig::Advanced::outsideWalkAngle

If outsideWeight is enabled, this will set the angle how deep the algorithm can walk inside the mesh.

This value is an acos number between -1 and 1. (by default it is 0 which means 90 degree)

## ◆ profile

LodProfile Ogre::LodConfig::Advanced::profile

If the algorithm makes errors, you can fix it, by adding the edge to the profile.

The documentation for this struct was generated from the following file:

- OgreLodConfig.h